Name:           jorbis
Version:        0.0.17
Release:        %mkrel 10
Group:          Development/Java
Summary:        Pure Java Ogg Vorbis Decoder
URL:            http://www.jcraft.com/jorbis/
License:        LGPLv2+
Source0:        http://www.jcraft.com/jorbis/%{name}-%{version}.zip
# Some fixes from the jorbis copy embedded in cortada. I've mailed upstream
# asking them to integrate these, for more info also see:
# https://trac.xiph.org/ticket/1565
# Note that although the original git headers were left in place for reference
# the actual patches have been rebased to 0.0.17 !
Patch0:         jorbis-0.0.17-cortado-fixes.patch
BuildArch:      noarch
BuildRequires:  java-devel
Requires:       java-headless
# We used to also package the comment editor example, but that is not so
# useful to end users (esp. the passing of cmdline args as java defines)
Obsoletes:      %{name}-comment <= 0.0.17-3

%description
JOrbis is a pure Java Ogg Vorbis decoder.


%package javadoc
Summary:        Java docs for jorbis

%description javadoc
This package contains the API documentation for jorbis.


%package player
Summary:        Java applet for playing ogg-vorbis files from a browser
License:        GPLv2+
Requires:       java
Requires:       %{name} = %{version}-%{release}

%description player
This package contains JOrbisPlayer a simple java applet for playing
ogg-vorbis files from a browser.
See %{_docdir}/%{name}-player/JOrbisPlayer.html for
an example how to embed and use the applet.


%prep
%setup -q
%patch -P 0 -p1


%build
javac com/jcraft/jogg/*.java com/jcraft/jorbis/*.java player/*.java
jar cf jogg.jar com/jcraft/jogg/*.class
jar cf jorbis.jar com/jcraft/jorbis/*.class
jar cf JOrbisPlayer.jar player/*.class
javadoc -d doc -public com/jcraft/*/*.java


%install
mkdir -p $RPM_BUILD_ROOT%{_javadir}
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}
cp -a *.jar $RPM_BUILD_ROOT%{_javadir}
cp -a doc $RPM_BUILD_ROOT%{_javadocdir}/%{name}


%files
%doc ChangeLog COPYING.LIB README
%{_javadir}/jogg.jar
%{_javadir}/jorbis.jar

%files javadoc
%doc COPYING.LIB
%{_javadocdir}/%{name}

%files player
%doc player/JOrbisPlayer.html
%{_javadir}/JOrbisPlayer.jar



%changelog
* Mon Jun 30 2025 umeabot <umeabot> 0.0.17-10.mga10
+ Revision: 2231922
- Mageia 10 Mass Rebuild

* Sun Dec 22 2024 pterjan <pterjan> 0.0.17-9.mga10
+ Revision: 2127687
- Rebuild for patchN deprecation

* Tue Sep 20 2022 neoclust <neoclust> 0.0.17-8.mga9
+ Revision: 1890985
- Fix build
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild
+ pterjan <pterjan>
- Remove usage of obsolete macros (https://github.com/rpm-software-management/rpm/issues/1211)

* Wed Feb 12 2020 umeabot <umeabot> 0.0.17-6.mga8
+ Revision: 1501849
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.0.17-5.mga7
+ Revision: 1279087
- Mageia 7 Mass Rebuild

* Fri Sep 29 2017 daviddavid <daviddavid> 0.0.17-4.mga7
+ Revision: 1161765
- add BR javapackages-local to fix build
+ neoclust <neoclust>
- Second rebuild of the java stack

* Mon Feb 29 2016 umeabot <umeabot> 0.0.17-2.mga6
+ Revision: 980800
- Mageia 6 Mass Rebuild

* Mon May 18 2015 daviddavid <daviddavid> 0.0.17-1.mga5
+ Revision: 822332
- remove old macro on %%update_maven_depmap
- fix Group

* Thu Nov 06 2014 tv <tv> 0.0.17-0.0.9.mga5
+ Revision: 795937
- adjust file list
- adjust file list
- Drop no longer needed BuildRequires on java-rpmbuild

* Wed Oct 15 2014 umeabot <umeabot> 0.0.17-0.0.8.mga5
+ Revision: 742684
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.0.17-0.0.7.mga5
+ Revision: 680847
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.0.17-0.0.6.mga4
+ Revision: 506449
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.0.17-0.0.5.mga3
+ Revision: 355553
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Oct 01 2011 gil <gil> 0.0.17-0.0.4.mga2
+ Revision: 150771
- added m2 pom

* Sat Mar 05 2011 grenoya <grenoya> 0.0.17-0.0.3.mga1
+ Revision: 64994
- imported package jorbis


* Fri Dec 10 2010 Oden Eriksson <oeriksson@mandriva.com> 0.0.17-0.0.3mdv2011.0
+ Revision: 619832
- the mass rebuild of 2010.0 packages

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 0.0.17-0.0.2mdv2010.0
+ Revision: 429645
- rebuild

* Mon Sep 22 2008 Alexander Kurtakov <akurtakov@mandriva.org> 0.0.17-0.0.1mdv2009.0
+ Revision: 286737
- remove unneeded PreReq
- import jorbis


